no me descarga los indices de los repositorios

Imagen de eylia
0 puntos

buenas, al comprobar si hay actualizaciones me sale esto y no me actualiza, necesito ayuda, gracias.

Error de GPG: http://ppa.launchpad.net hardy Release Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 7D2C7A23BF810CD5Error de GPG: http://ppa.launchpad.net intrepid Release Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY 60D11217247D1CFFImposible obtener http://www.getautomatix.com/apt/dists/dapper/main/binary-amd64/Packages.gz 404 Not Found
Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

muchas gracias

Imagen de catrip
+1
0
-1

Mira eylia, en teoría no deberías tener problemas al instalar/actualizar programas y paquetes, lo de "Error de GPG" es simplemente porque no se pudo encontrar la "llave" en el sistema donde está la información del repositorio y sin esta información, el sistema toma como repositorio no seguro.

Ahora, lo que puedes hacer es:

1.- Abres terminal y escribes esto:

gpg --keyserver subkeys.pgp.net --recv-key LLAVE_ERRONEA && gpg -a --export $PUBKRY | sudo apt-key add -

Donde LLAVE_ERRONEA son los últimos 8 dígitos de tu llave errónea, por ejemplo, para tu caso deberías poner:

gpg --keyserver subkeys.pgp.net --recv-key BF810CD5 && gpg -a --export $PUBKRY | sudo apt-key add -

Para la primera y después:


gpg --keyserver subkeys.pgp.net --recv-key 247D1CFF && gpg -a --export $PUBKRY | sudo apt-key add -

Para la segunda, y después de esto, simplemente:

sudo apt-get update

Pero después de todo me queda una sola duda, ¿Tienes Ubuntu Intrepid y estas utilizando repositorios para Hardy Heron?, si es así, puedes llegar a tener problemas, NO DEBES MEZCLAR repositorios...

® Sé libre, sé tu mismo, usa Ubuntu

+1
0
-1
Imagen de eylia
+1
0
-1

muchas gracias por la respuesta, ya me fijé que pone que el el hardy heron, pero no se porque lo pone. si me pudieseis decir donde o como encontrar los repositorios correctos y sacar los de hardy heron, sería perfecto.
probaré tu solución al llegar a casa (ahora estoy en el trabajo)
muchas gracias

+1
0
-1
Imagen de eylia
+1
0
-1

Ya arreglé los repositorios de hardy y solucioné el problema, pero me ha salido otro y este no se como arreglarlo. Al actualizar el fallo que me da es este:

Imposible obtener http://www.getautomatix.com/apt/dists/dapper/main/binary-amd64/Packages.gz 404 Not Found
Algunos archivos de índice no se han podido descargar, se han ignorado,
o se ha utilizado unos antiguos en su lugar.

muchas gracias de antemano por la ayuda

+1
0
-1
Imagen de eylia
+1
0
-1

no se porque no se ve lo que he pegado el fallo lo da automatix

+1
0
-1
Imagen de novatotal
+1
0
-1

fue vendido no se a quien y ya no se actualiza, su sucesor es ultamatix
aun así no te recomiendo ninguno de los dos
se supone que facilitan la instalación de aplicaciones, lo que en verdad hacen es incluirte repositorios no oficiales
la mayoria de lo que quieras/necesites lo encuentras en los repositorios

mi consejo: olvidate de automatix/ultamatix
eliminalo desde el terminal
sudo apt-get purge automatix

y mejor investiga y aprende a instalar al estilo de ubuntu
no es difícil, vas a synaptic (sistema>administración>gestor de paquetes) o a añadir/quitar (aplicaciones>añadir y quitar)

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
colabora con ubuntu-es, mas información en el enlace
http://www.ubuntu-es.org/index.php?q=node/110508

+1
0
-1

Firma: ¿Porque mis impuestos acaban en la cuenta de el Sr. Gates?
http://doc.ubuntu-es.org/Documentaci%C3%B3n

Imagen de eylia
+1
0
-1

Muchas gracias, ya lo he sacado y la verdad no se cuando la instalé pero ya esta arreglado
hasta otra , gracias

+1
0
-1
Imagen de yucano
+1
0
-1

Aquí otra posible solución:
http://www.taringa.net/posts/linux/9104535/Problemas-con-el-gestor-de-ac...
Espero les sirva

Adrián

+1
0
-1